# Uses of Class
org.kapott.cryptalgs.SignatureParamSpec

Packages that use SignatureParamSpec
Package
Description
org.kapott.cryptalgs
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.

## Uses of SignatureParamSpec in org.kapott.cryptalgs

Methods in org.kapott.cryptalgs with parameters of type SignatureParamSpec
Modifier and Type
Method
Description
`static byte[]`
PKCS1_15.`createDigestInfo(SignatureParamSpec spec, byte[] hash)`
`static byte[]`
PKCS1_PSS.`emsa_pss_encode(SignatureParamSpec spec, byte[] msg, int emBits)`
`static boolean`
PKCS1_PSS.`emsa_pss_verify(SignatureParamSpec spec, byte[] msg, byte[] EM, int emBits)`
`static MessageDigest`
PKCS1_15.`getMessageDigest(SignatureParamSpec spec)`
`static MessageDigest`
PKCS1_PSS.`getMessageDigest(SignatureParamSpec spec)`

## Uses of SignatureParamSpec in org.kapott.hbci.passport

Methods in org.kapott.hbci.passport that return SignatureParamSpec
Modifier and Type
Method
Description
`SignatureParamSpec`
AbstractRDHPassport.`getSignatureParamSpec()`
`SignatureParamSpec`
HBCIPassportRAH10.`getSignatureParamSpec()`
`SignatureParamSpec`
InitLetterPassport.`getSignatureParamSpec()`
Liefert die Signatur-Spec.